Bug 100765 - init.d/dhcrelay fails silently ignoring DHCPSERVERS in sysconfig/dhcrelay
init.d/dhcrelay fails silently ignoring DHCPSERVERS in sysconfig/dhcrelay
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-25 00:07 EDT by Motoya Kurotsu
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-29 14:33:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
It fixes the problem. (341 bytes, patch)
2003-07-25 00:21 EDT, Motoya Kurotsu
no flags Details | Diff

  None (edit)
Description Motoya Kurotsu 2003-07-25 00:07:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2a) Gecko/20020913

Description of problem:
init.d/dhcrelay fails silently ignoring DHCPSERVERS 
if INTERFACES is null in sysconfig/dhcrelay.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.'init.d/dhcrelay start' with DHCPSERVERS as appropriate and INTERFACES left
null in sysconfig/dhcrelay.
2.
3.
    

Actual Results:  The command fails silently.

Additional info:

In init.d/dhcrelay, not INTERFACES but DHCPSERVERS should be verified
before the actual action.
Comment 1 Motoya Kurotsu 2003-07-25 00:21:14 EDT
Created attachment 93135 [details]
It fixes the problem.
Comment 2 Daniel Walsh 2003-07-29 14:33:33 EDT
Fixed in Rawhide.
dhcp-3.0pl2-6.6.src.rpm
Comment 3 John Flanagan 2004-12-21 14:42:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.